<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package verscontabilidade
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	
	<script src="https://code.jquery.com/jquery-1.12.4.min.js" type="text/javascript"></script>  

	<!-- Global site tag (gtag.js) - Google Analytics -->
	<script async src="https://www.googletagmanager.com/gtag/js?id=UA-80997366-1"></script>
	<script>
	window.dataLayer = window.dataLayer || [];
	function gtag(){dataLayer.push(arguments);}
	gtag('js', new Date());

	gtag('config', 'UA-80997366-1', { 'optimize_id': 'GTM-KTGTPGJ'});
	</script>
		<?php /*	
	
	<!-- Anti-flicker snippet (recommended)  -->
<style>.async-hide { opacity: 0 !important} </style>
<script>(function(a,s,y,n,c,h,i,d,e){s.className+=' '+y;h.start=1*new Date;
h.end=i=function(){s.className=s.className.replace(RegExp(' ?'+y),'')};
(a[n]=a[n]||[]).hide=h;setTimeout(function(){i();h.end=null},c);h.timeout=c;
})(window,document.documentElement,'async-hide','dataLayer',4000,
{'GTM-KTGTPGJ':true});</script>
	*/ php?>
	
	<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-5KF8SMC');</script>
<!-- End Google Tag Manager -->
	
	<!-- Hotjar Tracking Code for www.pejota.com.br -->
<script>
    (function(h,o,t,j,a,r){
        h.hj=h.hj||function(){(h.hj.q=h.hj.q||[]).push(arguments)};
        h._hjSettings={hjid:1870237,hjsv:6};
        a=o.getElementsByTagName('head')[0];
        r=o.createElement('script');r.async=1;
        r.src=t+h._hjSettings.hjid+j+h._hjSettings.hjsv;
        a.appendChild(r);
    })(window,document,'https://static.hotjar.com/c/hotjar-','.js?sv=');
</script>
	
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">

	<?php wp_head(); ?>

	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css">
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
	
	<style>
	#site-navigation .menu li a{
	    padding: 0 14px;
	}
		

	@media screen and (max-width: 544px){
		.flex-row-xs{
			display: flex;
			flex-direction:column;
		}
		
		.order-xs-1{order:1}
		.order-xs-2{order:2}
		.order-xs-3{order:3}
		.order-xs-4{order:4}
		.order-xs-5{order:5}
	}
	</style>

	<script type="text/javascript">
		jQuery(document).ready(function($) {
			$.data(document.body, 'ajaxUrl', '<?php echo admin_url('admin-ajax.php'); ?>');
		});
	</script>

</head>

<body <?php body_class(); ?> data-template-url="<?php bloginfo('template_url') ?>">
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-5KF8SMC"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'verscontabilidade' ); ?></a>

	<header id="masthead" class="site-header" style="max-height: 92px;">	
		<div class="container" style="max-height: 92px;">
			<div class="row" style="max-height: 92px;">
				<div class="col-sm-3 col-xs-12" style="max-height: 92px;">
					<a href="#" class="menu-toggle visible-xs"><span class="glyphicon glyphicon-menu-hamburger"></span></a>
					<div class="site-branding" style="max-height: 92px;">
						<h1 style="max-height:90px"><?php has_custom_logo() ? the_custom_logo() : bloginfo('name'); ?></h1>
					</div><!-- .site-branding -->
				</div>
				
				<div class="col-sm-9 col-xs-12">
					<nav id="site-navigation" class="main-navigation">
						<?php
							wp_nav_menu(array(
								'theme_location' => 'primary-menu',
								'container_class' => 'menu',
								'menu_class' => ''
							));
						?>

					</nav><!-- #site-navigation -->
				</div>
			</div>
		</div>
	</header><!-- #masthead -->

	<div id="content" class="site-content">
	<?php wp_reset_postdata(); ?>