<?php
/**
 * RD Station - Integrações
 * addLeadConversionToRdstationCrm()
 * Envio de dados para a API de leads do RD Station
 *
 * Parâmetros:
 *     ($rdstation_token) - token da sua conta RD Station ( encontrado em https://www.rdstation.com.br/docs/api )
 *     ($identifier) - identificador da página ou evento ( por exemplo, 'pagina-contato' )
 *     ($data_array) - um Array com campos do formulário ( por exemplo, array('email' => 'teste@rdstation.com.br', 'nome' =>'Fulano') )
 */
function addLeadConversionToRdstationCrm( $rdstation_token, $identifier, $data_array ) {
    $api_url = "http://www.rdstation.com.br/api/1.2/conversions";

    try {
        if (empty($data_array["token_rdstation"]) && !empty($rdstation_token)) { $data_array["token_rdstation"] = $rdstation_token; }
        if (empty($data_array["identificador"]) && !empty($identifier)) { $data_array["identificador"] = $identifier; }
        if (empty($data_array["c_utmz"])) { $data_array["c_utmz"] = $_COOKIE["__utmz"]; }
        unset($data_array["password"], $data_array["password_confirmation"], $data_array["senha"], 
            $data_array["confirme_senha"], $data_array["captcha"], $data_array["_wpcf7"], 
            $data_array["_wpcf7_version"], $data_array["_wpcf7_unit_tag"], $data_array["_wpnonce"], 
            $data_array["_wpcf7_is_ajax_call"]);

        if ( !empty($data_array["token_rdstation"]) && !( empty($data_array["email"]) && empty($data_array["email_lead"]) ) ) {
            $data_query = http_build_query($data_array);
            if (in_array ('curl', get_loaded_extensions())) {
                $ch = curl_init($api_url);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS, $data_query);
                // curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
                curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
                curl_exec($ch);
                curl_close($ch);
            } else {
                $params = array('http' => array('method' => 'POST', 'content' => $data_query, 'ignore_errors' => true));
                $ctx = stream_context_create($params); 
                $fp = @fopen($api_url, 'rb', false, $ctx);
            }
        }
    } catch (Exception $e) { }
}

add_action('wp_ajax_envia_email', 'envia_email');
add_action('wp_ajax_nopriv_envia_email', 'envia_email');

function set_html_content_type(){
    return 'text/html';
}

function envia_email() {
    if (!wp_verify_nonce( $_POST['envio_nonce'], 'envio_nonce' ) ){
        die ();
    }

    $form = new WP_Query(array('post_type' => 'form', 'post__in' => array($_POST['form'])));
    $form->the_post();
    print_r($post);
    $to = get_field('to');

    $subject = "Novo email website | " . get_field('subject');
    foreach ($_POST['form_data'] as $key => $value) {
        $message .= "<p>" . $key . ": " . $value . "</p>";
    }

    $headers[] = "From: ".$_POST['form_data']['nome']." <".$_POST['form_data']['email'].">";

    if ($_POST["filename"]) {
        $attachments = array($_POST["filename"]);
    } else {
        $attachments = array();
    }

    add_filter( 'wp_mail_content_type', 'set_html_content_type' );
    if(wp_mail($to, $subject, $message, $headers, $attachments)){
        the_field('retorno');
    } else {
        echo "Erro ao enviar email!";
    }
    remove_filter( 'wp_mail_content_type', 'set_html_content_type' );

    if ($_POST["filename"]) {
        unlink($_POST["filename"]);
    }

    wp_reset_postdata();

    die();
}

/* CADASTRO NEWSLETTER */
add_action('wp_ajax_cadastro_newsletter', 'cadastro_newsletter');
add_action('wp_ajax_nopriv_cadastro_newsletter', 'cadastro_newsletter');

function cadastro_newsletter() {
    if (!wp_verify_nonce( $_POST['cadastro_nonce'], 'cadastro_nonce' ) ){
        die ();
    }
    
    global $wpdb;
    $test_rows = $wpdb->get_results("SELECT id FROM wp_newsletter WHERE email='".$_POST['email']."'");
    if($test_rows){
        echo "Endereço de e-mail já cadastrado. Cadastre um novo endereço de e-mail e receba nossas novidades.";
    } else {
        $wpdb->insert(
            'wp_newsletter',
            array(
                'email' => $_POST['email'],
                'data_cadastro' => date('Y-m-d H:i:s')
            ),
            array(
                '%s',
                '%s'
            )
        );
        echo "Cadastro efetuado com sucesso!";
    }
    
    die();
}

add_action('wp_ajax_send_to_rd', 'send_to_rd');
add_action('wp_ajax_nopriv_send_to_rd', 'send_to_rd');

function send_to_rd() {
    check_ajax_referer( 'send_to_rd', 'send_to_rd_nonce');
    
    addLeadConversionToRdstationCrm('502993260de92fd29b7e4bb8231a4907', $_POST['rd_id'], array('email' => $_POST['email']));

    echo "Cadastro efetuado com sucesso!";
        
    die();
}