<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package verscontabilidade
 */

get_header(); ?>
<?php get_template_part('template-parts/page-header', 'blog') ?>
<div class="container">
	<div class="row">
		<div class="col-sm-8 col-xs-12">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">
					<?php
					if ( have_posts() ) :

						/* Start the Loop */
						while ( have_posts() ) : the_post();

							/*
							 * Include the Post-Format-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
							 */
							get_template_part( 'template-parts/post/content', get_post_format() );

						endwhile;

						the_posts_pagination( array(
							'mid_size' => 4,
							'prev_text' => '<span class="glyphicon glyphicon glyphicon-chevron-left pag-prev" aria-hidden="true"></span>',
							'next_text' => '<span class="glyphicon glyphicon glyphicon-chevron-right pag-next" aria-hidden="true"></span>' ,
							'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'twentyseventeen' ) . ' </span>',
						) );

					else :

						get_template_part( 'template-parts/post/content', 'none' );

					endif;
					?>
				</main><!-- #main -->
			</div><!-- #primary -->
		</div>

		<div class="col-sm-4 col-xs-12">
			<?php get_sidebar(); ?>
		</div>
	</div>
</div>
<?php get_footer(); ?>