<?php /* Template name: FAQ */ ?>
<?php get_header(); ?>
	<?php get_template_part('template-parts/page-header'); ?>

	<div class="container">
		<div class="row">
			<div class="col-sm-8 col-xs-12">
				<div id="primary" class="content-area">
					<main id="main" class="site-main" role="main">
						<?php if (get_the_content()): ?>
							<div class="content"><?php the_content(); ?></div>
						<?php endif ?>

						<?php $faq_categories = get_terms('faq_category') ?>
						<?php if ($faq_categories): ?>
							<div class="row">
								<div class="col-xs-12">
									<div class="tabs-adicional-wrapper">
										<ul class="nav-tabs-adicional nav-tabs-faq"></ul>
										<div class="tabs-adicional" id="cycle-tabs" style="overflow: auto">
											<div class="conteudo-tab" data-title="Todos">
												<div class="wrapper-content-tab">
													<ul class="border-list faq-list">
														<?php $faq_list = new WP_Query(array('post_type' => 'faq', 'posts_per_page' => -1)); ?>
														<?php while($faq_list->have_posts()) : $faq_list->the_post(); ?>
															<li>
																<h5 class="faq-list-title"><?php the_title(); ?></h5>
																<div class="faq-list-content"><?php the_content(); ?></div>
															</li>
														<?php endwhile; ?>
														<?php wp_reset_postdata(); ?>
													</ul>
												</div>
											</div>

											<?php foreach ($faq_categories as $category): ?>
												<div class="conteudo-tab" data-title="<?php echo $category->name; ?>">
													<div class="wrapper-content-tab"> 
														<ul class="border-list faq-list">
															<?php 														
																$query_faq = array(
																	'post_type' => 'faq', 
																	'posts_per_page' => 6,
																	'tax_query' => array(
																		array(
																			'taxonomy' => 'faq_category',
																			'terms'    => $category->term_id
																		),
																	),
																);

																$faq_list = new WP_Query($query_faq); 
															?>
															<?php while($faq_list->have_posts()) : $faq_list->the_post(); ?>
																<li>
																	<h5 class="faq-list-title"><?php the_title(); ?></h5>
																	<div class="faq-list-content"><?php the_content(); ?></div>
																</li>
															<?php endwhile; ?>
															<?php wp_reset_postdata(); ?>
														</ul>
													</div>
												</div>
											<?php endforeach ?>
										</div>
									</div>
								</div>
							</div>
						<?php endif ?>
					</main><!-- #main -->
				</div><!-- #primary -->
			</div>

			<div class="col-sm-4 col-xs-12">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
	
	<?php if ($faq_categories): ?>
		<script>
			jQuery(window).load(function($) {
				jQuery('#cycle-tabs').cycle({
					timeout : 0,
					pager : '.nav-tabs-adicional',
					speed : 300,
		    		before: function(){
						var $ht = jQuery(this).height();

						//set the container's height to that of the current slide
						jQuery(this).parent().animate({height: $ht}, 300);
					},
					pagerAnchorBuilder: function(idx, slide) { 
				        return '<li>' + jQuery(slide).attr('data-title') + '</li>'; 
				    }
				});
			});
		</script>
	<?php endif ?>
<?php get_footer(); ?>