<?php /* Template name: Planos */ ?>
<?php get_header(); ?>
	<?php get_template_part('template-parts/page-header'); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
			<div class="section">
				<div class="container">
					<div class="row">
						<div class="col-md-5 col-xs-12">
							<?php the_post_thumbnail('full'); ?>
						</div>

						<div class="<?php if (has_post_thumbnail()): ?>col-md-7<?php endif ?> col-xs-12">
							<?php if (get_the_content()): ?>
								<div class="content"><?php the_content(); ?></div>
							<?php endif ?>
						</div>
					</div>
				</div>
			</div>

			<?php $planos = get_field('planos'); ?>
			<?php if ($planos): ?>
				<div class="section">
					<div class="container">
						<div class="row">
							<div class="col-xs-12">
								<?php foreach ($planos as $plano): ?>
									<div class="box-plano-wrapper">
										<div class="box-plano">
											<h3 class="nome-plano"><?php echo $plano['nome'] ?></h3>

											<?php if ($plano['funcionarios']): ?>
												<p class="info-plano">Até <strong><?php echo $plano['funcionarios'] ?></strong> funcionários.</p>
											<?php endif ?>

											<?php if ($plano['nf']): ?>
												<p class="info-plano">Até <strong><?php echo $plano['nf'] ?></strong> NF / Fatura.</p>
											<?php endif ?>

											<?php if ($plano['faturamento']): ?>
												<p class="info-plano">Faturamento até <strong><?php echo $plano['faturamento'] ?></strong> mil / mês.</p>
											<?php endif ?>

											<a href="<?php echo get_permalink(4032); ?>?plano=<?php echo $plano['nome']; ?>" class="btn btn-small">Solicite um orçamento</a>
										</div>
									</div>
								<?php endforeach ?>
							</div>
						</div>

						<p class="message-planos">Nenhum dos planos atende a sua empresa? <a class="primary-color" href="<?php echo get_permalink(4032); ?>">Solicite aqui o seu orçamento >></a></p>
					</div>
				</div>
			<?php endif ?>
		</main>
	</div>
	
<?php get_footer(); ?>